Index: code/branches/keckslevelHS14/data/levels/kecks.oxw
===================================================================
--- code/branches/keckslevelHS14/data/levels/kecks.oxw	(revision 10118)
+++ code/branches/keckslevelHS14/data/levels/kecks.oxw	(revision 10119)
@@ -4,7 +4,9 @@
  tags = "test"
  screenshot = "pirateattack.png"
+ gametype=Mission
 />
 
 <?lua
+  include("HUDTemplates3.oxo")
   include("stats.oxo")
   include("HUDTemplates3.oxo")
@@ -13,7 +15,11 @@
 
 <?lua
+    dofile("includes/asteroidField.lua")
+?>
+
+<?lua
   include("templates/spaceshipAssff2.oxt")
   include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipEscort.oxt")
+  include("templates/spaceshipHXY.oxt")
 ?>
 
@@ -22,4 +28,7 @@
     <Template link=lodtemplate_default />
   </templates>
+  
+
+  
   <?lua include("includes/notifications.oxi") ?>
 
@@ -30,5 +39,118 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <SpawnPoint team=0 position="0,0,2000" lookat="0, 100, 0" spawnclass=SpaceShip pawndesign=spaceshipHXY  />
+    
+    
+    <!--Asteroiden-Guertel-
+    <?lua
+    	for i = 1, 3, 1
+    		do
+    ?>
+
+     asteroidBelt(0, 0, 0, 0, 0, 100, 50+10*i, 100+10*i, 3000*i+500, 3000*i, 100+100*i	, 0)
+
+	<?lua
+	end
+	?>
+    ---->
+
+    <?lua
+	asteroidBelt(0, 0, 0, 0, 0, 100, 60, 110, 3300, 3000, 200	, 0)
+	asteroidBelt(0, 0, 0, 0, 0, 100, 70, 120, 6400, 6000, 300	, 0)
+	asteroidBelt(0, 0, 0, 0, 0, 100, 80, 130, 9500, 9000, 400	, 0)
+	?>
+
+    		
+<?lua
+        for i = 0, (3*math.pi/2), (math.pi/2)
+              do       
+?>
+    		
+    		
+
+<SpaceShip position="<?lua print(150*math.sin(i)) ?>, <?lua print(150*math.cos(i)) ?>,0" lookat="<?lua print(1500*math.sin(i)) ?>, <?lua print(1500*math.cos(i)) ?>,0" roll="<?lua print(180-i*180/math.pi)?>" name="attacker">
+    <templates>
+        <Template link=spaceshipHXY /> <!--spaceshipTransporter -->
+        </templates>
+              <controller>
+                         <WaypointPatrolController alertnessradius=1500 active=true team=0>
+                           <waypoints>
+                             <StaticEntity position="0,0,0"/>
+                           </waypoints>
+                         </WaypointPatrolController>
+                           </controller>
+    
+</SpaceShip>
+      
+<?lua
+end
+?>
+
+
+ <?lua
+        for i = 0, (3*math.pi/2), (math.pi/2)
+              do
+?>
+              
+              
+<SpaceShip position="<?lua print(1500*math.sin(i)) ?>,<?lua print(1500*math.cos(i)) ?>,0" roll="<?lua print(180-i*180/math.pi)?>" lookat="0, 0, 0">
+
+              <templates>
+            <Template link=spaceshippirate />
+              </templates>
+              <controller>
+            <WaypointPatrolController alertnessradius=1500 active=true team=1>
+              <waypoints>
+                <StaticEntity position="0,0,0"/>
+              </waypoints>
+            </WaypointPatrolController>
+              </controller>
+</SpaceShip>
+            		          
+<?lua
+end
+?>
+             
+		
+          
+<?lua
+	for i = 0, (3*math.pi/2), (math.pi/2)
+		do
+?>
+
+	 <?lua
+		for j = 1, 3, 1
+		   do
+	 ?>
+		<SpaceShip position="<?lua print(3000*j*math.sin(i)) ?>,<?lua print(3000*j*math.cos(i)) ?>,0" roll="<?lua print(180-i*180/math.pi)?>" lookat="0, 0, 0">
+
+		   <templates>
+		   <Template link=spaceshippirate />
+		   </templates>
+			<controller>
+		   <WaypointPatrolController alertnessradius=1500 active=true team=1>
+		   <waypoints>
+			   	   <?lua
+					 for k = 0, (59*math.pi/60), (math.pi/60)
+						   do
+					?>  
+			   
+		   	   	   	   <Model mesh="cube.mesh" scale=8 position="<?lua print((600+3200*j)*math.sin(i+k)) ?>,<?lua print((600+3200*j)*math.cos(i+k)) ?>,0" />
+
+				   <?lua	
+					end
+					?>
+								
+		   </waypoints>
+			</WaypointPatrolController>
+		   </controller>
+		</SpaceShip>
+	<?lua
+	end
+	?>
+<?lua
+end
+?>
+
     
   </Scene>