Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.cc
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.cc	(revision 10118)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.cc	(revision 10124)
@@ -67,5 +67,5 @@
     {
         level++;
-       /* if (getPlayer() != NULL)
+        if (getPlayer() != NULL)
         {
             for (int i = 0; i < 7; i++)
@@ -76,5 +76,5 @@
                 chunk->setScale(20);
             }
-        }*/
+        }
         addPoints(multiplier * 42);
         multiplier *= 2;
@@ -119,5 +119,5 @@
         }
     }
-
+*/
     void DodgeRace::costLife()
     {
@@ -128,5 +128,5 @@
          //   enemySpawnTimer.setTimer(30.0f, false, createExecutor(createFunctor(&DodgeRace::end, this)));
     };
-*/
+
     void DodgeRace::comboControll()
     {
@@ -145,10 +145,10 @@
         this->bForceSpawn_ = true;
 
-        /*if (this->center_ == NULL)  // abandon mission!
+        if (this->center_ == NULL)  // abandon mission!
         {
             orxout(internal_error) << "DodgeRace: No Centerpoint specified." << endl;
             GSLevel::startMainMenu();
             return;
-        }*/
+        }
         // Call start for the parent class.
         Deathmatch::start();
@@ -162,5 +162,5 @@
         }
     }
-/*
+
     void DodgeRace::end()
     {
@@ -170,4 +170,4 @@
         // Instead startMainMenu, this won't crash.
         GSLevel::startMainMenu();
-    }*/
+    }
 }
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.h
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.h	(revision 10118)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.h	(revision 10124)
@@ -39,5 +39,5 @@
 
 #include "DodgeRaceCenterPoint.h" // Necessary for WeakPointer??
-//#include "DodgeRaceShip.h" // DO NOT include in Header. Will cause forward declaration issues
+//#include "DodgeRaceShip.h" 		DO NOT include in Header. Will cause forward declaration issues
 
 //#include "DodgeRaceHUDinfo.h"
@@ -72,5 +72,5 @@
 
             virtual void start();
-            //virtual void end();
+            virtual void end();
 
             void levelUp();
@@ -83,7 +83,9 @@
             void setCenterpoint(DodgeRaceCenterPoint* center)
                        { this->center_ = center; }
+            virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command
 
             // checks if multiplier should be reset.
             void comboControll();
+            void costLife();
 
             bool bEndGame;
@@ -108,5 +110,5 @@
 
 
-         /* virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command
+         /*
 
             //void spawnEnemy();
@@ -116,5 +118,5 @@
 
 
-            void costLife();
+
 
 
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceHUDinfo.cc
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceHUDinfo.cc	(revision 10118)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceHUDinfo.cc	(revision 10124)
@@ -39,10 +39,10 @@
     {
         RegisterObject(DodgeRaceHUDinfo);
-/*
+
         this->DodgeRaceGame = 0;
         this->bShowLives_ = false;
         this->bShowLevel_ = false;
         this->bShowPoints_ = false;
-        this->bShowMultiplier_ = false;*/
+        this->bShowMultiplier_ = false;
     }
 /*
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceHUDinfo.h
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceHUDinfo.h	(revision 10118)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceHUDinfo.h	(revision 10124)
@@ -43,8 +43,8 @@
      public:
             DodgeRaceHUDinfo(Context* context);
-  /*
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+
+         //   virtual void tick(float dt);
+           // virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            //virtual void changedOwner();
 
             inline void setShowLives(bool value)
@@ -74,5 +74,5 @@
             bool bShowLevel_;
             bool bShowPoints_;
-            bool bShowMultiplier_;*/
+            bool bShowMultiplier_;
     };
 }
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc	(revision 10118)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc	(revision 10124)
@@ -46,4 +46,5 @@
         damping = 10;
 
+        // not sure if has to be zero?
         lastTimeFront = 0;
         lastTimeLeft = 0;
@@ -106,5 +107,5 @@
         setPosition(pos);
         setOrientation(Vector3::UNIT_Y, Degree(270));
-/*
+
         // Level up!
         if (pos.x > 42000)
@@ -113,5 +114,5 @@
             setPosition(Vector3(0, 0, pos.z)); // pos - Vector3(30000, 0, 0)
         }
-*/
+
         SUPER(DodgeRaceShip, tick, dt);
     }
@@ -183,9 +184,9 @@
         return game;
     }
-/*
+
     void DodgeRaceShip::death()
     {
         getGame()->costLife();
         SpaceShip::death();
-    }*/
+    }
 }
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.h
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.h	(revision 10118)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.h	(revision 10124)
@@ -75,7 +75,11 @@
             bool isFireing;
 
+        protected:
+            virtual void death();
+
         private:
             WeakPtr<DodgeRace> getGame();
             WeakPtr<DodgeRace> game;
+            WeakPtr<Projectile> lastShot;
             Camera* camera;
             float lastTimeFront, lastTimeLeft, lastTime;
@@ -90,21 +94,10 @@
 
 /*
-
-
-            //virtual inline bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
-
-        protected:
-            virtual void death();
+ 	 	 	 virtual inline bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
 
         private:
 
-
-
-
-
-
-
-           // WeakPtr<DodgeRaceEnemy> lastEnemy;
-            WeakPtr<Projectile> lastShot;*/
+            WeakPtr<DodgeRaceEnemy> lastEnemy;
+           */
 
     };