Index: code/branches/towerdefenseHS14/data/levels/templates/enemyTowerdefense.oxt
===================================================================
--- code/branches/towerdefenseHS14/data/levels/templates/enemyTowerdefense.oxt	(revision 10125)
+++ code/branches/towerdefenseHS14/data/levels/templates/enemyTowerdefense.oxt	(revision 10126)
@@ -40,4 +40,5 @@
    explosionSound = "sounds/Explosion2.ogg"
   >
+
     <engines>
       <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipassffengine />
@@ -57,4 +58,16 @@
       <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
     </collisionShapes>
+    <controller>
+        <WaypointController accuracy=60>
+          <waypoints>
+            <!-- 1,3 10,3 10,11, 13,11 -->
+            <Model mesh="cube.mesh" scale=10 position="-700,-500, 150" />
+            <Model mesh="cube.mesh" scale=10 position=" -400,-500, 150" />
+            <Model  position=" -400, 600, 150" />
+            <Model mesh="cube.mesh" scale=10 position=" 500, 600, 150" />
+            <Model mesh="cube.mesh" scale=10 position=" 500, 700, 150" />
+          </waypoints>
+        </WaypointController>
+      </controller>
   </TowerDefenseEnemy>
 </Template>
Index: code/branches/towerdefenseHS14/data/levels/towerDefense.oxw
===================================================================
--- code/branches/towerdefenseHS14/data/levels/towerDefense.oxw	(revision 10125)
+++ code/branches/towerdefenseHS14/data/levels/towerDefense.oxw	(revision 10126)
@@ -77,5 +77,5 @@
     <!--SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff /-->
 
-    <SpaceShip position="-700,-500, 100" lookat="0,0,0" scale=3 team=1 >
+    <TowerDefenseEnemy position="-700,-500, 100" lookat="0,0,0" scale=3 team=1 >
       <templates>
         <Template link=enemytowerdefense />
@@ -93,5 +93,5 @@
         </WaypointController>
       </controller>
-    </SpaceShip>
+    </TowerDefenseEnemy>
 
 
Index: code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.cc	(revision 10125)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefense.cc	(revision 10126)
@@ -163,5 +163,5 @@
 
 
-        for(int i = 0 ; i < 1 ; ++i)
+        for(int i = 0 ; i < 20 ; ++i)
         {
         	addTowerDefenseEnemy(path);
@@ -184,4 +184,5 @@
         en1->addTemplate("enemytowerdefense");
         en1->setScale(3);
+        en1->getController();
 
 
Index: code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.cc
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10125)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10126)
@@ -24,5 +24,5 @@
         Constructor. Registers and initializes the object.
     */
-    TowerDefenseEnemy::TowerDefenseEnemy(Context* context) : Pawn(context)
+    TowerDefenseEnemy::TowerDefenseEnemy(Context* context) : SpaceShip(context)
     {
         RegisterObject(TowerDefenseEnemy);
@@ -35,5 +35,5 @@
     {
     	orxout() << "test4" << endl;
-    	Waypointsvector_.push_back(coord);
+    	this->Waypointsvector_.push_back(coord);
     	orxout() << "test5" << endl;
     }
@@ -58,3 +58,4 @@
     }
 */
+
 }
Index: code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.h
===================================================================
--- code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10125)
+++ code/branches/towerdefenseHS14/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10126)
@@ -28,5 +28,5 @@
  *
  */
-	class _TowerDefenseExport TowerDefenseEnemy : public Pawn
+	class _TowerDefenseExport TowerDefenseEnemy : public SpaceShip 
 	{
 
@@ -41,4 +41,6 @@
         void popWaypoint();
         TDCoordinate peekWaypoint();
+
+
 	private:
 