Index: code/branches/surfaceraceHS14/data/levels/DodgeRace.oxw
===================================================================
--- code/branches/surfaceraceHS14/data/levels/DodgeRace.oxw	(revision 10124)
+++ 	(revision )
@@ -1,462 +1,0 @@
-<!-- 
-TODO:
-    Replace bottom's texture. It just does not look good.
--->
-
-<LevelInfo
- name = "Dodge Race Test"
- description = "Race on a planet's surface. Try to reach the goal in 70 Seconds."
- screenshot = "surfaceRace.png"
- tags = "minigame"
-/>
-
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("templates/lodInformation.oxt")
-  include("templates/spaceshipRace.oxt")
-  include("templates/pickupRepresentationTemplates.oxt")
-
-?>
-
-
-<Level
-  gametype = SpaceRace
->
-
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-  <Scene
-    ambientlight = "2.0, 2.0, 2.0"
-    skybox       = "Orxonox/skyBoxClouds"
-    gravity      = "0,-75,0"
-    negativeWorldRange = "-100000, -100000, -100000"
-    positiveWorldRange = " 100000,  100000,  100000"
-    hasPhysics   = true
-  >
-
-    <?lua
-      include("includes/pickups.oxi")
-    ?>
-
-  <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-
-
-
-<SpaceRaceManager>
- <checkpoints>
-    <RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="150" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-
-<!--
-        <Model position="0,0,55" mesh="testcube.mesh" scale3D="110,20,20" />
-        <Model position="0,0,-55" mesh="testcube.mesh" scale3D="110,20,20" />
-        <Model position="55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
-        <Model position="-55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
-
--->
-
-
-        </attached>
-
-
-
-    <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-
-
-
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint2" position="1000,8050,-4000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-
-
-           <collisionShapes>
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint3" position="3000,8050,-4000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="150" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint4" position="4000,8050,-1000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="3" islast="false" nextcheckpoints="4,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint5" position="4000,8050,0" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="4" islast="false" nextcheckpoints="5,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint6" position="3000,8050,1000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint7" position="0,8050,2000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="150" checkpointindex="6" islast="false" nextcheckpoints="7,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-      <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint8" position="-4000,8050,3000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="7" islast="false" nextcheckpoints="8,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint9" position="-4000,8050,5000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="150" checkpointindex="8" islast="false" nextcheckpoints="9,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-         <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint10" position="-3000,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="150" checkpointindex="9" islast="false" nextcheckpoints="10,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint11" position="0,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="120" checkpointindex="10" islast="false" nextcheckpoints="11,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint12" position="6000,8050,6000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-      <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint13" position="5500,8050,3000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="12" islast="false" nextcheckpoints="13,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint14" position="6000,8050,-5000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="13" islast="true" >
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-</checkpoints>
-</SpaceRaceManager>
-
- <SpawnPoint team=0 position="0,8050,0" lookat="0,8000,-8000" spawnclass=DodgeShip pawndesign=spaceshipDodgeRace />
-
-
-    <!-- -----------------------Zylinder---------------------------- -->
-<StaticEntity position="2750,8050,6000" direction="1,0,0" roll="90"  scale="4" collisionType=static mass=100000 friction=0.01 >
-      <attached>
-    <Model position="0,0,0" mesh="cylinder.mesh" scale3D="100,100,400" />
-    <!--
-                <Model position="0,80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
-        <Model position="0,-80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
-        <Model position="80,0,600" mesh="testcube.mesh" scale3D="18,90,-600" />
-        <Model position="-80,0,600" mesh="testcube.mesh" scale3D="18,09,-600" />
-    -->
-
-      </attached>
-
-
-    <collisionShapes>
-
-
-        <BoxCollisionShape position="0,320,2400"            halfExtents="360,72,2400" />
-        <BoxCollisionShape position="0,-320,2400"      halfExtents="360,72,2400" />
-        <BoxCollisionShape position="320,0,2400"            halfExtents="72,360,2400" />
-        <BoxCollisionShape position="-320,0,2400"     halfExtents="72,360,2400" />
-
-
-
-        </collisionShapes>
-
-  </StaticEntity>
-
-<!-- ------------------Cube between gate 4 and 5----------------- -->
-<StaticEntity position="4465,8050,-500" direction="0,0,0"   scale="1" collisionType=static mass=100000 friction=0.01 >
-      <attached>
-    <Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
-<!--
-                <Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
-        -->
-
-      </attached>
-
-
-    <collisionShapes>
-
-
-        <BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
-
-        </collisionShapes>
-
-  </StaticEntity>
-
-<StaticEntity position="3535,8050,-500" direction="0,0,0"   scale="1" collisionType=static mass=100000 friction=0.01 >
-      <attached>
-    <Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
-<!--
-                <Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
-        -->
-
-      </attached>
-
-
-    <collisionShapes>
-
-
-        <BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
-
-        </collisionShapes>
-
-  </StaticEntity>
-
-
-
-
-    <!-- ------------------Boden----------------- -->
-  <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
-     <attached>
-        <Model position="0,0,0" mesh="CubeGround.mesh" scale3D="8000,8000,8000" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,50,0" halfExtents="8000,8000,8000" />um j?:P"{
-
-      </collisionShapes>
-</StaticEntity>
-
-
-<!-- ---------------------PickUp---------------------- -->
-
-
-   <PickupSpawner pickup=smallspeedpickup position="4000,8050,0" triggerDistance="40" respawnTime="10" maxSpawnedItems="99" scale="8" />
-   <PickupSpawner pickup=mediumspeedpickup position="5500,8100,2000" triggerDistance="40" respawnTime="10" maxSpawnedItems="99" scale="8" />
-   <PickupSpawner pickup="mediumshrinkpickup" position="3000,8050,-4000" triggerDistance="40" respawnTime="60"  maxSpawnedItems="5" scale="8" />
-
-
-
-
- <!-- ---------------asteroid ellipse----------------- -->
-
- <?lua
-    max = 15
-    for i = 0, max, 1
-    do
-    x=-12000
-    y=10000
-    z=-12000
-
-    ?>
-    <?lua
-    for k = 1, 15, 1
-    do
-    j = math.random()
-    ?>
-
-    <MovableEntity
-      position = "<?lua print(x + math.random() * 20000) ?>,<?lua print(y + math.random() * 5000) ?>,<?lua print(z + math.random() * 20000) ?>"
-      collisionType = "dynamic"
-      linearDamping = "0.5"
-      angularDamping = "0.5"
-      collisiondamage = "100"
-      enablecollisiondamage = "true"
-      scale="<?lua print(j * 5) ?>" >
-      <attached>
-        <Model position="0,0,0" scale="<?lua print(j * 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
-      <?lua if k == 0 then ?><attached><!-- ---------asteroid fog----- -->
-            <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
-          </attached> <?lua end ?>
-        </Model>
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(j * 80) ?>" />
-      </collisionShapes>
-    </MovableEntity>
-    <?lua
-    end
-    ?>
-    <?lua end ?>
-    
-    <!-- SOUNDS & MUSIC -->
-    <WorldSound name="scoreSound" position="0,8050,0" source="sounds/ReadyGo.ogg" >
-      <events>
-        <play>
-          <EventListener event="start" />
-        </play>
-      </events>
-    </WorldSound>
-    <DistanceTrigger name="start" position="0,8050,0"  target="Pawn" distance=100 stayActive="true" delay=0.5 />
-    <WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true" />
-
-  </Scene>
-</Level>
-
Index: code/branches/surfaceraceHS14/data/levels/DodgeRacePlus.oxw
===================================================================
--- code/branches/surfaceraceHS14/data/levels/DodgeRacePlus.oxw	(revision 10124)
+++ 	(revision )
@@ -1,77 +1,0 @@
-<LevelInfo
- name = "DodgeRacePlus"
- description = "Just a copy of SpaceInvaders so far"
- tags = "minigame"
- screenshot = "orxonoxArcade.png"
-/>
-<?lua
-  include("stats.oxo")
-  include("templates/lodInformation.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipAssff2.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipInvader.oxt")
-  include("templates/spaceshipDodgeRace.oxt")
-  include("templates/enemyInvader.oxt")
-  include("overlays/InvaderHUD.oxo")
-?>
-
-<Level gametype = Invader>
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-    <!-- ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox" -->
-  <Scene
-    ambientlight = "0.8, 0.7, 0.4"
-    skybox     = "Orxonox/skyBoxBasic"
-  >
-
-  <WorldAmbientSound
-    source="Earth.ogg"
-    looping="true"
-    playOnLoad="true"
-  />
-
-    <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
-    <Light type=directional position="1100, 11000, -7000" lookat="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=InvaderShip pawndesign=spaceshipDodgeRace />
-
-    <DistanceTrigger name="start" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=0 />
-
-
-    <InvaderCenterPoint name=invadercenter />
-    
-    <?lua
-      for i = 1, 300, 1 do
-        j = math.random()
-    ?>
-
-    <MovableEntity
-      position = "<?lua print(math.random()* 40000 + 1000) ?>,-1000,<?lua print(math.random() * 4000 - 2000) ?>"
-      collisionType = dynamic
-      linearDamping = 0.8
-      angularDamping = 0
-      scale = "<?lua print(j * 150)?>"
-      collisiondamage = 0
-      enablecollisiondamage = true
-    >
-      <attached>
-        <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(j * 350) ?>" />
-      </collisionShapes>
-    </MovableEntity>
-
-    <?lua
-      end
-    ?>
-    
-  </Scene>
-</Level>
-
Index: code/branches/surfaceraceHS14/data/levels/DodgeRaceold.oxw
===================================================================
--- code/branches/surfaceraceHS14/data/levels/DodgeRaceold.oxw	(revision 10124)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<LevelInfo
- name = "Dodge Race Test x"
- description = "A level with hardly anything in it (at the moment)."
- tags = "minigame"
- screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("templates/lodInformation.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipDodgeRace.oxt")
-?>
-
-<Level gametype = Deathmatch>
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-  <Scene
-    ambientlight = "2.0, 2.0, 2.0"
-    skybox       = "Orxonox/skyBoxClouds"
-    gravity      = "0,0,0"
-    negativeWorldRange = "-100000, -100000, -100000"
-    positiveWorldRange = " 100000,  100000,  100000"
-    hasPhysics   = true
-  >
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=DodgeShip pawndesign=spaceshipDodgeRace />
-    
-  </Scene>
-</Level>
-
-  <!-- ------------------Boden----------------- -->
-  <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
-     <attached>
-        <Model position="0,0,0" mesh="CubeGround.mesh" scale3D="8000,8000,8000" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,50,0" halfExtents="8000,8000,8000" />um j?:P"{
-
-      </collisionShapes>
-</StaticEntity>
Index: code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt
===================================================================
--- code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10124)
+++ code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10127)
@@ -1,4 +1,4 @@
-<Template name=spaceshipDodgeRace>
-  <InvaderShip
+<Template name=spaceshipdodgerace>
+  <DodgeRaceShip
    hudtemplate            = spaceshiphud
    camerapositiontemplate = spaceshipescortcameras
@@ -62,16 +62,15 @@
   include("../includes/invaderWeapon.oxi")
 ?>
-  </InvaderShip>
+  </DodgeRaceShip>
 </Template>
 
 <Template name=spaceshipescortcameras defaults=0>
-  <InvaderShip>
+  <DodgeRaceShip>
     <camerapositions>
- <!--       <CameraPosition position="0,15, 60" drag=true mouselook=true />
-     <CameraPosition position="0,20, 90" drag=true mouselook=true /> -->
-      <CameraPosition position="0,30,120" direction="0, 0, -1"  drag=false mouselook=true /> 
+      <CameraPosition position="0,30,120" direction="0, 0, -1" drag=false mouselook=true /> 
       <CameraPosition position="0,300,-100" direction="0, -1, 0" drag=false mouselook=true />
+      <CameraPosition position="0,300,-100" direction="1, 0, 0" drag=false mouselook=true />
     </camerapositions>
-  </InvaderShip>
+  </DodgeRaceShip>
 </Template>
 
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc	(revision 10124)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc	(revision 10127)
@@ -96,5 +96,5 @@
         {
             camera->setPosition(Vector3(-pos.z, -posforeward, 0));
-            camera->setOrientation(Vector3::UNIT_Z, Degree(90));
+            camera->setOrientation(Vector3::UNIT_Z, Degree(0));
         }
 
@@ -127,12 +127,13 @@
     void DodgeRaceShip::moveFrontBack(const Vector2& value)
     {
-        lastTimeLeft = 0;
-        desiredVelocity.x = -value.x * speed;
+    	//lastTimeFront = 0;
+    	//desiredVelocity.y = value.y * speed * 42;
+
     }
 
     void DodgeRaceShip::moveRightLeft(const Vector2& value)
     {
-        lastTimeFront = 0;
-        desiredVelocity.y = value.y * speed * 42;
+    	lastTimeLeft = 0;
+    	desiredVelocity.x = -value.x * speed;
     }
     void DodgeRaceShip::boost(bool bBoost)