Index: code/branches/surfaceraceHS14/data/levels/DodgeRace.oxw
===================================================================
--- code/branches/surfaceraceHS14/data/levels/DodgeRace.oxw	(revision 10128)
+++ code/branches/surfaceraceHS14/data/levels/DodgeRace.oxw	(revision 10128)
@@ -0,0 +1,77 @@
+<LevelInfo
+ name = "Dodge Race"
+ description = "2D Arcade shooter. Maximise your points!!!\nTip: try to keep the multiplier high by avoiding shots and enemies."
+ tags = "minigame"
+ screenshot = "orxonoxArcade.png"
+/>
+<?lua
+  include("stats.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff2.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipDodgeRace.oxt")
+  include("templates/enemyInvader.oxt")
+  include("overlays/InvaderHUD.oxo")
+?>
+
+<Level gametype = DodgeRace>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "2.0, 2.0, 2.0"
+    skybox       = "Orxonox/skyBoxClouds"
+    negativeWorldRange = "-100000, -100000, -100000"
+    positiveWorldRange = " 100000,  100000,  100000"
+  >
+
+  <WorldAmbientSound
+    source="Earth.ogg"
+    looping="true"
+    playOnLoad="true"
+  />
+
+    <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
+    <Light type=directional position="1100, 11000, -7000" lookat="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=DodgeRaceShip pawndesign=spaceshipdodgerace />
+
+    <DistanceTrigger name="start" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=0 />
+
+
+    <DodgeRaceCenterPoint name=invadercenter />
+    
+    
+  <StaticEntity position="1500,0,50" direction="0,0,0"   scale="1" collisionType=static mass=0 friction=0.01 >
+      <attached>
+        <Model position="0,0,0" mesh="blackcube.mesh" scale3D="50,50,50" />
+      </attached>
+
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="50,50,50" />
+      </collisionShapes>
+
+  </StaticEntity>
+  <StaticEntity position="4500,0,-30" direction="0,0,0"   scale="1" collisionType=static mass=1 friction=0.01 >
+      <attached>
+        <Model position="0,0,0" mesh="blackcube.mesh" scale3D="50,50,50" />
+      </attached>
+
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="50,50,50" />
+      </collisionShapes>
+
+  </StaticEntity>
+    
+    
+    
+    
+    
+    
+  </Scene>
+</Level>
+
Index: code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt
===================================================================
--- code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10127)
+++ code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10128)
@@ -7,11 +7,11 @@
    explosionchunks        = 4
 
-   health            = 80
-   maxhealth         = 200
-   initialhealth     = 80
+   health            = 40
+   maxhealth         = 40
+   initialhealth     = 40
 
-   shieldhealth        = 35
-   initialshieldhealth = 35
-   maxshieldhealth     = 60
+   shieldhealth        = 80
+   initialshieldhealth = 80
+   maxshieldhealth     = 80
    shieldabsorption    = 0.9
    reloadrate          = 1
@@ -35,9 +35,10 @@
    collisionType     = "dynamic"
    mass              = 4200000
-   linearDamping     = 0.7
+   linearDamping     = 0.9999999
    angularDamping    = 0.9999999
 
-    collisiondamage = 100
-    enablecollisiondamage = true
+   collisiondamage = 100
+   enablecollisiondamage = true
+   
   >
     <engines>
@@ -68,7 +69,6 @@
   <DodgeRaceShip>
     <camerapositions>
-      <CameraPosition position="0,30,120" direction="0, 0, -1" drag=false mouselook=true /> 
-      <CameraPosition position="0,300,-100" direction="0, -1, 0" drag=false mouselook=true />
-      <CameraPosition position="0,300,-100" direction="1, 0, 0" drag=false mouselook=true />
+      <CameraPosition position="0,30,150" direction="0, 0, -1" drag=false mouselook=true /> 
+      <CameraPosition position="0,1300,-100" direction="0, -1, 0" drag=false mouselook=true />
     </camerapositions>
   </DodgeRaceShip>